> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Scenario Scorers.

> List all Scenario Scorers matching filter.



## OpenAPI

````yaml /openapi-specs/stainless-processed-openapi.json get /v1/scenarios/scorers
openapi: 3.1.0
info:
  title: RunLoop API
  version: '0.1'
  description: >-
    The RunLoop API spec that allows you to host lambda functions and Devboxes
    to enable scaled long running ai workflows.
  contact:
    name: Runloop AI Support
    url: https://runloop.ai
    email: support@runloop.ai
servers:
  - url: https://api.runloop.ai
    description: Runloop API
    variables: {}
security:
  - bearerAuth: []
tags:
  - name: Benchmark
  - name: Blueprint
  - name: Blueprint-Lifecycle
  - name: Blueprint-ObservabilityTools
  - name: Devbox
  - name: Devbox-FileTools
  - name: Devbox-Lifecycle
  - name: Devbox-NetworkTools
  - name: Devbox-ObservabilityTools
  - name: Devbox-PersistenceTools
  - name: Devbox-ShellTools
  - name: Scenario
  - name: ScenarioScorer
  - name: accounts
  - name: agents
  - name: apikeys
  - name: axons
  - name: executions
  - name: gateway-configs
  - name: mcp-configs
  - name: network-policies
  - name: objects
  - name: restricted_keys
  - name: secrets
  - name: streaming
paths:
  /v1/scenarios/scorers:
    get:
      tags:
        - Scenario
        - ScenarioScorer
      summary: List Scenario Scorers.
      description: List all Scenario Scorers matching filter.
      operationId: listScenarioScorers
      parameters:
        - name: search
          in: query
          description: Search by scenario scorer ID or type.
          allowEmptyValue: true
          schema:
            type: string
        - name: limit
          in: query
          description: The limit of items to return. Default is 20. Max is 5000.
          allowEmptyValue: true
          schema:
            type: integer
            format: int32
        - name: starting_after
          in: query
          description: >-
            Load the next page of data starting after the item with the given
            ID.
          allowEmptyValue: true
          schema:
            type: string
        - name: include_total_count
          in: query
          description: >-
            If true (default), includes total_count in the response. Set to
            false to skip the count query for better performance on large
            datasets.
          allowEmptyValue: true
          schema:
            type: boolean
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScenarioScorersListView'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Runloop from '@runloop/api-client';


            const client = new Runloop({
              bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const scorerListResponse of
            client.scenarios.scorers.list()) {
              console.log(scorerListResponse.id);
            }
        - lang: Python
          source: |-
            import os
            from runloop_api_client import Runloop

            client = Runloop(
                bearer_token=os.environ.get("RUNLOOP_API_KEY"),  # This is the default and can be omitted
            )
            page = client.scenarios.scorers.list()
            page = page.scorers[0]
            print(page.id)
components:
  schemas:
    ScenarioScorersListView:
      type: object
      properties:
        scorers:
          type: array
          items:
            $ref: '#/components/schemas/ScenarioScorerView'
          description: List of ScenarioScorers matching filter.
        has_more:
          type: boolean
        total_count:
          format: int32
          type:
            - integer
            - 'null'
      required:
        - scorers
        - has_more
    ScenarioScorerView:
      type: object
      description: >-
        A ScenarioScorerView represents a custom scoring function for a
        Scenario.
      properties:
        id:
          type: string
          description: ID for the scenario scorer.
        type:
          type: string
          description: Name of the type of scenario scorer.
        bash_script:
          type: string
          description: >-
            Bash script that takes in $RL_SCORER_CONTEXT as env variable and
            runs scoring.
      required:
        - id
        - type
        - bash_script
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````